# ACE_IO_SAP Class Reference

Defines the methods for the base class of the <ace_io_sap> abstraction, which includes <ace_file> and <ace_dev>. More...

`#include <IO_SAP.h>`

Inheritance diagram for ACE_IO_SAP:

[legend]
List of all members.

## Public Types

enum | { INVALID_HANDLE = -1 }

## Public Member Functions

| ~ACE_IO_SAP (void)
| Default dtor.
int | control (int cmd, void *) const
| Interface for ioctl.
int | enable (int value) const
int | disable (int value) const
ACE_HANDLE | get_handle (void) const
| Get the underlying handle.
void | set_handle (ACE_HANDLE handle)
| Set the underlying handle.
void | dump (void) const
| Dump the state of an object.

## Public Attributes

| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks.

## Protected Member Functions

| ACE_IO_SAP (void)
| Ensure that ACE_IO_SAP is an abstract base class.

## Private Attributes

ACE_HANDLE | handle_
| Underlying I/O handle.

## Static Private Attributes

pid_t | pid_ = 0
| Cache the process ID.

## Detailed Description

Defines the methods for the base class of the <ace_io_sap> abstraction, which includes <ace_file> and <ace_dev>.

## Member Enumeration Documentation

anonymous enum

Enumeration values:

  INVALID_HANDLE | Be consistent with Winsock.

## Constructor & Destructor Documentation

ACE_BEGIN_VERSIONED_NAMESPACE_DECL ACE_INLINE ACE_IO_SAP::~ACE_IO_SAP | ( | void |  | ) |

| Default dtor.

ACE_BEGIN_VERSIONED_NAMESPACE_DECL ACE_IO_SAP::ACE_IO_SAP | ( | void |  | ) | `[protected]`

| Ensure that ACE_IO_SAP is an abstract base class.

## Member Function Documentation

ACE_INLINE int ACE_IO_SAP::control | ( | int | cmd,
|  | void * |
| ) | const

| Interface for ioctl.

int ACE_IO_SAP::disable | ( | int | value | ) | const

| Disable asynchronous I/O (ACE_SIGIO), urgent data (ACE_SIGURG), non-blocking I/O (ACE_NONBLOCK), or close-on-exec (ACE_CLOEXEC), which is passed as the <value>. Reimplemented in ACE_DEV, and ACE_FILE.

void ACE_IO_SAP::dump | ( | void |  | ) | const

| Dump the state of an object. Reimplemented in ACE_DEV, ACE_DEV_IO, ACE_FILE, and ACE_FILE_IO.

int ACE_IO_SAP::enable | ( | int | value | ) | const

| Enable asynchronous I/O (ACE_SIGIO), urgent data (ACE_SIGURG), non-blocking I/O (ACE_NONBLOCK), or close-on-exec (ACE_CLOEXEC), which is passed as the <value>.

ACE_INLINE ACE_HANDLE ACE_IO_SAP::get_handle | ( | void |  | ) | const

| Get the underlying handle.

ACE_INLINE void ACE_IO_SAP::set_handle | ( | ACE_HANDLE | handle | ) |

| Set the underlying handle.

## Member Data Documentation

ACE_IO_SAP::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks. Reimplemented in ACE_DEV, ACE_DEV_IO, ACE_FILE, and ACE_FILE_IO.

ACE_HANDLE ACE_IO_SAP::handle_`[private]`

| Underlying I/O handle.

pid_t ACE_IO_SAP::pid_ = 0`[static, private]`

| Cache the process ID.

The documentation for this class was generated from the following files:

- IO_SAP.h
- IO_SAP.cpp
- IO_SAP.inl